
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery.position()方法获取不到值的安全替换方法 / iVAN</title>

    <meta name="description" content="jQuery.position()方法获取不到值的安全替换方法  这篇文章主要介绍了jQuery.position()方法获取不到值的安全替换方法,本文给出了一种变通的方法,用.offset()来换算,需要的朋友可以参考下     调用jQuery.position()方法会返回相对于父元素的位置,jQuery官方文档中描述说,它跟.offset()方法不一样,.offset()返回的是相对于document的位置,而.position()返回的是相对于父元素的位置. 但事实上,在使用的过程中,我们发现.position()返回的值经常是0.但事实不是0.尤">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery.position()方法获取不到值的安全替换方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 这篇文章主要介绍了jQuery.position()方法获取不到值的安全替换方法,本文给出了一种变通的方法,用.offset()来换算,需要的朋友可以参考下</p>
<p> <br />
 </p>
<p>调用jQuery.position()方法会返回相对于父元素的位置，jQuery官方文档中描述说，它跟.offset()方法不一样，.offset()返回的是相对于document的位置，而.position()返回的是相对于父元素的位置。</p>
<p>但事实上，在使用的过程中，我们发现.position()返回的值经常是0。但事实不是0。尤其是谷歌浏览器和IE浏览器里。火狐浏览器没有此问题。</p>
<p>究其原因，以基于Webkit的浏览器(谷歌浏览器和Safari浏览器)为例，只有当元素(图片、flash等)完全加载后，浏览器才能访问到这些元素的高度和宽度，而火狐浏览器是在DOM加载完成后就能访问这些属性，它不需要知道这个元素的完整尺寸。而谷歌浏览器就不行。因此在谷歌/IE这样的浏览器里，如果你想使用.position()获取元素的偏移量，往往得到值就是初始值:0。</p>
<p>有一种补救的方法是将你的.position()调用放到  $(window).load()事件触发之后，而不是$(document).ready事件之后。但这种方法也未必可靠。</p>
<p>另外一种变通的方法是用.offset()来换算：</p>
<p>代码如下:<br />
<br />
jQuery.fn.aPosition = function() {<br />
thisLeft = this.offset().left;<br />
thisTop = this.offset().top;<br />
thisParent = this.parent();<br />
<br /> </p>
<p>parentLeft = thisParent.offset().left;<br />
parentTop =  thisParent.offset().top;</p>
<p>return {<br />
left: thisLeft-parentLeft,<br />
top:  thisTop-parentTop<br />
};<br />
};</p>
<p>这虽然产生了多余的代码，但比较可靠的多，用的让人放心。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 00:35:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/position/" title="position">position</a>, <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95%e6%b5%8f%e8%a7%88%e5%99%a8/" title="方法浏览器">方法浏览器</a>, <a href="https://www.iamivan.net/tag/jquery%e8%b0%b7%e6%ad%8c%e6%b5%8f%e8%a7%88%e5%99%a8/" title="jquery谷歌浏览器">jquery谷歌浏览器</a>, <a href="https://www.iamivan.net/tag/%e5%be%97%e4%b8%8d%e5%88%b0%e5%80%bc/" title="得不到值">得不到值</a>, <a href="https://www.iamivan.net/tag/offset/" title="offset">offset</a>, <a href="https://www.iamivan.net/tag/%e8%b0%b7%e6%ad%8c%e4%b8%8d%e6%94%af%e6%8c%81load%e6%96%b9%e6%b3%95/" title="谷歌不支持load方法">谷歌不支持load方法</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8%e6%9b%bf%e6%8d%a2%e6%96%b9%e6%b3%95/" title="安全替换方法">安全替换方法</a>, <a href="https://www.iamivan.net/tag/jquery-position/" title="jQuery&period;position&lpar;&rpar;">jQuery&period;position&lpar;&rpar;</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery.position()方法获取不到值的安全替换方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrY9Op.html" rel="bookmark">jQuery&period;position&lpar;&rpar;方法获取不到值的安全替换方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				调用jQuery.position()方法会返回相对于父元素的位置,jQuery官方文档中描述说,它跟.offset()方法不一样,.offset()返回的是相对于document的位置,而.position()返回的是相对于父元素的位置. 但事实上,在使用的过程中,我们发现.position()返回的值经常是0.但事实不是0.尤其是谷歌浏览器和IE浏览器里.火狐浏览器没有此问题. 究其原因,以基于Webkit的浏览器(谷歌浏览器和Safari浏览器)为例,只有当元素(图片.flash等)完全加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2Bjeb.html" rel="bookmark">jquery实现将获取的颜色值转换为十六进制形式的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery实现将获取的颜色值转换为十六进制形式的方法.分享给大家供大家参考.具体分析如下: 大家或许已经注意到了,在谷歌.火狐和IE8以上浏览器中,获取的颜色值是RGB形式,例如rgb(255,255,0),感觉非常不适应,或者在实际编码中不方便使用,这个时候就需要进行转换,下面就提供一段相关转换代码. 具体代码如下: 复制代码 代码如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot; utf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlL0Dp.html" rel="bookmark">Jquery和JS获取ul中li标签的实现方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js 获取元素下面所有的li var content=document.getElementById(&quot;content&quot;); var items=content.getElementsByTagName(&quot;ul&quot;); var itemss=items[2].getElementsByTagName(&quot;li&quot;);//获取第二个li标签 或 var div=document.getElementById('a'); var ul=div.childN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5VRzn.html" rel="bookmark">在Python中用get&lpar;&rpar;方法获取字典键值的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了在Python中用get()方法获取字典键值的教程,是Python入门中的基础知识,需要的朋友可以参考下 get()方法返回给定键的值.如果键不可用,则返回默认值None. 语法 以下是get()方法的语法: ? 1 dict.get(key, default=None) 参数 key -- 这是要搜索在字典中的键. default -- 这是要返回键不存在的的情况下默认值. 返回值 该方法返回一个给定键的值.如果键不可用,则返回默认值为None. 例子 下面的例子显示了g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBgVkM.html" rel="bookmark">java-如何在页面调用一个方法获取它的值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在页面调用一个方法获取它的值 &lt;%String strid = request.getParameter(&quot;&quot;id&quot;&quot;);String giftid=new String(request.getParameter(&quot;&quot;id&quot;&quot;));System.out.println(strid);int gid=Integer.parseInt(strid);System.out.println(gid);Gift gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeJDKb.html" rel="bookmark">httpwebrequest-为什么request&period;getParameter&lpar;&amp;amp&semi;amp&semi;quot&semi;token&amp;amp&semi;amp&semi;quot&semi;&rpar;方法获取到的值是encode之前的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么request.getParameter(&quot;token&quot;)方法获取到的值是encode之前的? 给http://localhost:8080/hhh?token=k4gJH04aeHGqZG%2FomYYNUtReHBd3%2FL0pknT8D8b2rZhqRCh1XP6o8jfM9CIV49jbgetParameter获取到的是:k4gJH04aeHGqZG/omYYNUtReHBd3/L0pknT8D8b2rZhqRCh1XP6o8jfM9CIV49jb(前面的传参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdR504b.html" rel="bookmark">jquery按顺序获取相同className值的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jquery按顺序获取相同className值的问题 一个页面上的,有一些相同className的div,我想用jquery按顺序获取到每一个这个名字的div里的值.请问要怎要获取? 谢谢!!!! 解决方案 $(&quot;.className&quot;).each(function(){ var obj = $(this); }); 解决方案二: for(var i=0;i&lt;$('.className').length;i++){ $('.className')[i].innerHTM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEY05Zb.html" rel="bookmark">为什么equals方法可以传入null值，而compareTo方法不能传入null值？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 自然排序下TreeSet和TreeMap都是使用compareTo方法来防止元素重复,而compareTo方法不能传入null值,会出现空指针异常,让比较的对象指向了一个null值.使用比较器排序,TreeSet和TreeMap可以传入有且仅有一个null值,传入第二个会报空指针异常.总结:compareTo方法是使得TreeSet和TreeMap在自然排序下不能传入null值的罪魁祸首问:为什么equals方法可以传入null值,而compareTo方法不能传入null值? 解决方案			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmO5Wz.html" rel="bookmark">JS使用getComputedStyle&lpar;&rpar;方法获取CSS属性值&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在对网页进行调试的过程中,经常会用到js来获取元素的CSS样式,方法有很多很多,现在仅把我经常用的方法总结如下: 1. obj.style:这个方法只能JS只能获取写在html标签中的写在style属性中的值(style=&quot;-&quot;),而无法获取定义在&lt;style type=&quot;text/css&quot;&gt;里面的属性. 复制代码 代码如下: &lt;span style=&quot;font-family:Arial;font-size:14px;&quot;&gt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwJg5p.html" rel="bookmark" class="title">matlab如何一次性显示多张图像</a>
					<div>
						问题描述 matlab如何一次性显示多张图像 刚接触matlab一个星期,接触的新领域做图像处理,怎么一次性显示多张图片,不是一个figure显示多张,而是一张图片对应一个figure,但要多张连续显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpno2rz.html" rel="bookmark" class="title">不同unix下查看cpu&comma;ram数量</a>
					<div>
						unix 显示cpu数量 hp-unix ioscan -C processor | grep processor | wc -l Solais psrinfo -v | grep &quot;Sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkq25b.html" rel="bookmark" class="title">seo优化网站站内软文编辑技巧分享</a>
					<div>
						我想只要了解seo的不管是站长级的还是菜鸟级的,或多或少的都知道软文在站内seo中的比重是越来越重要了,据数据统计显示,目前一篇高质量的软文在网站的比重已超过了60%以上,由此看来高质量软文在seo优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvQmrb.html" rel="bookmark" class="title">使用ASP脚本技术</a>
					<div>
						脚本 在VB脚本中,你不必定义变量或者象在其他脚本语言中明确的定义他们的类型.一个变量在你第一次使用的时候存在.但是,这个特性让你的代码广泛的存在打字稿中.如果你在代码中错误的定义一个变量名,那么一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPR3Qz.html" rel="bookmark" class="title">SharpMap学习（2）</a>
					<div>
						在经过第一篇的简单学习之后,我们开始了解一些稍微有点儿意思的东西,进一步掌握和学习利用 sharpmap进行开发的技巧. 这次,我们主要是跟大家一起学习一下如何根据地图上的一个点,来查询这个点所在的对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP4kjM.html" rel="bookmark" class="title">Visual C&num; 2005中如何产生与比较哈希值</a>
					<div>
						借助于System.Security.Cryptography命名空间的密码资源,将非常容易产生与比较哈希值.因为所有的哈希函数都接收类型为 Byte() 的输入,因此可能需要将初始数据转换成一个字节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElnAAz.html" rel="bookmark" class="title">Java中几种常用数据类型之间转换的方法</a>
					<div>
						Java中几种常用的数据类型之间转换方法: 1. short--&gt;int 转换 exp: short shortvar=0; int intvar=0; shortvar= (short) in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo61gDz.html" rel="bookmark" class="title">Linux中使用cp命令进行强制覆盖的方法</a>
					<div>
						  cp在拷贝时,如果遇到相同的文件名的文件,就会不断询问是否覆盖,让你输入yes or no .为什么呢?这是为了linux为了安全考虑,在cp命令上用了别名.也就是你输入只是输入cp命令时,其实系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmlZdz.html" rel="bookmark" class="title">ifunbox连接不上手机怎么办？</a>
					<div>
						  经常看到网上有人说,ifunbox连接不上手机,一直提示failed to locate apple mobile device support, iTunesmobiledevice.dll i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad16Pz.html" rel="bookmark" class="title">windows操作系统的同步机制</a>
					<div>
						  最近看了下windows核心编程,虽然是比较老的书,但是感觉还是蛮有用的,顺便复习了一些操作系统的知识,比如本文的进程同步机制 用户模式下的线程同步 线程之间需要通信: 1.需要让多个线程同时访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1N2Wb.html" rel="bookmark" class="title">在WordPress的后台中添加顶级菜单和子菜单的函数详解&lowbar;php技巧</a>
					<div>
						添加设置页面-add_menu_page函数add_menu_page(),这个函数是往后台添加顶级菜单先,也就是和&quot;外观&quot;.&quot;插件&quot;等一样的顶级菜单. 函数介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlXNqb.html" rel="bookmark" class="title">Silverlight&plus;WCF 新手实例 象棋 WCF通讯方式&lpar;十六&rpar;</a>
					<div>
						本节小讲通讯方式,上两节的我们讲的BasicHttpBinding,是其中的一种基础的通讯方式, 还有一种双向通讯的,专业词汇叫&quot;双工通讯&quot;,不过双工通讯一听起来太以理解, 就好像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3yx8z.html" rel="bookmark" class="title">西方科学家依然对互联网的进化表示质疑</a>
					<div>
						这是一篇投稿到国际会议的互联网进化论文,论文用英文的形式介绍了生命如何从起源最终进化到整个宇宙(智慧宇宙或宇宙大脑),第一位评审专家的 意见是相对质疑的,但第二位评审专家的意见是录取,很有趣,还在等待 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kvxoM.html" rel="bookmark" class="title">android 屏幕适配问题</a>
					<div>
						问题描述 android 屏幕适配问题 我写了4中尺寸的适配,但是每次都是跳到hdpi这边,不知道怎么回事,用了高分辨率的 手机和低分辨率的都是一样效果 解决方案 如何将一个应用程序适配在不同的手机上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z402kJz.html" rel="bookmark" class="title">eclipse 3&period;3&period;2 tomcat 5&period;0 环境，不蛋定的404错误，</a>
					<div>
						问题描述 最近导入的一个项目,运行报404错误,其它项目都正常,其它人的机器上也没问题,404 404 404 404 ,,,,几天的404了,,我要崩溃了. 解决方案 404就是链接错误什么的,仔细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rr9mz.html" rel="bookmark" class="title">500错误-HTTP Status500 javax&period;servlet&period;ServletException&colon; java&period;lang&period;Error</a>
					<div>
						问题描述 HTTP Status500 javax.servlet.ServletException: java.lang.Error type Exception report message ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWkmkz.html" rel="bookmark" class="title">firefox-项目中使用kindeditor后台使用的jsp但是多图上传时session取不到值，怎么解决？急急急</a>
					<div>
						问题描述 项目中使用kindeditor后台使用的jsp但是多图上传时session取不到值,怎么解决?急急急 项目中的后台使用的是jsp,上传多图时使用火狐浏览器时session取不到,用ie和ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JEPmz.html" rel="bookmark" class="title">中国非转基因良豆被逐 大豆专家放弃梦想</a>
					<div>
						&quot;什么是公平?强者就是公平!&quot; &quot;中国已经到了无力保护非转基因大豆的阶段,是该考虑开放种植转基因大豆了.&quot; ---黑龙江农科院大豆专家刘忠堂10多年来一直呼吁保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL1wYM.html" rel="bookmark" class="title">智能家居前路漫漫 并没有看起来那么美</a>
					<div>
						近年来,&quot;智能家居&quot;这个词非常火,今年3月5日,李克强总理在政府工作报告中提到一系列的消费需求,并直接点名智能家居,借此推动国家政策实行,完成打造&quot;智慧城市&quot;计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkdg0M.html" rel="bookmark" class="title">groovy-spring boot cli的配置和启动怎么进行</a>
					<div>
						问题描述 spring boot cli的配置和启动怎么进行 spring boot可以打成jar包通过java -jar来直接启动工程,网上的教程说如果是groovy文件,需要使用其命令工具spri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkQA1M.html" rel="bookmark" class="title">Android Studio上方便使用butterknife注解框架的偷懒插件Android Butterknife Zelezny</a>
					<div>
						首先提下ButterKnifey已经更新到版本7.0.1了,现在注解已经不叫@InjectView了,而叫@Bind,感觉更贴合语义.同时注册的方式也从 ButterKnife.inject(this ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmRN3z.html" rel="bookmark" class="title">PHP正则提取不包含指定网址的图片地址的例子&lowbar;php实例</a>
					<div>
						但是现在这个文章中可能含有一些表情,我们当然不能直接提取src路劲了,这样如果第一张是表情图片的话,就会提取表情图片来作为封面了,这时候我们就需要写清楚正则来排除不匹配的图片,下面是一个小列子: 复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj85a0p.html" rel="bookmark" class="title">Flash制作完美loding特效教程分享</a>
					<div>
						给各位Flash软件的使用者们来详细的解析分享一下制作完美loding特效的教程. 教程分享: 特效 当然这里的&quot;完美loding&quot;是指londing程序的内部效果而不是外在的美观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0jjoz.html" rel="bookmark" class="title">js如何获取兄弟、父类等节点&lowbar;javascript技巧</a>
					<div>
						var chils= s.childNodes; //得到s的全部子节点 var par=s.parentNode; //得到s的父节点 var ns=s.nextSbiling; //获得s的下一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmPwap.html" rel="bookmark" class="title">Lumen 5&period;2 HTTP 路由入门教程</a>
					<div>
						1.基本路由 所有路由都定义在app/Http/routes.php中.最基本的 Lumen 路由接收一个 URI 和一个闭包: $app-&gt;get('foo', function () {   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK1Pkz.html" rel="bookmark" class="title">如何编写一个过滤掉HTML代码的函数？&lowbar;编程10000问</a>
					<div>
						如何编写一个过滤掉HTML代码的函数?&lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEXqjp.html" rel="bookmark" class="title">strtok函数的应用</a>
					<div>
						strtok函数是字符串函数库中的一个函数,函数原型如下: char *strtok(char s[], const char *delim); 作用:分解字符串为一组字符串.s为要分解的字符串,de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPg1Bp.html" rel="bookmark" class="title">jquery 入门教程 &lbrack;翻译&rsqb; 推荐&lowbar;jquery</a>
					<div>
						jQuery入门指南教程 这个指南是一个对jQuery库的说明,要求读者了解HTML(DOM)和CSS的一些常识.它包括了一个简单的Hello World的例子,选择器和事件基础,AJAX.FX的用法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YDrmp.html" rel="bookmark" class="title">阿里云创建E-MapReduce 3 创建作业</a>
					<div>
						要运行一个计算任务,首先需要定义一个作业,其步骤如下: 1.登录阿里云 E-MapReduce 控制台作业页面. 2.选择地域(Region),则作业将会创建在对应的地域内. 3.单击该页右上角的创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaL1Wb.html" rel="bookmark" class="title">后台开发：核心技术与应用实践1&period;5　引用</a>
					<div>
						1.5 引用 1.?引用是什么 对于习惯使用C语言进行开发的朋友们,在看到C++中出现的&amp;符号后,可能会犯迷糊,虽然在C语言中这个符号代表取地址符,但是在C++中它却有着不一样的用途,代表着引 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
